import uuid

from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import globus_command, user_credential_id_arg
from gcs_cli.services.gcs import get_client


@globus_command(
    "delete", disable_options=["format"], short_help="Delete a user credential"
)
@user_credential_id_arg
@requires_login
def cred_delete(user_credential_id: uuid.UUID) -> None:
    """
    Delete a user credential
    """
    client = get_client()
    res = client.delete_user_credential(user_credential_id)
    record_print_result_message(res)
