from gcs_cli.parsing.command_decorator import globus_command, globus_group
from gcs_cli.parsing.connectors import (
    activescale_options,
    azure_blob_options,
    blackpearl_options,
    box_options,
    ceph_options,
    dropbox_options,
    google_cloud_storage_options,
    google_drive_options,
    hpss_options,
    irods_options,
    onedrive_options,
    posix_options,
    posix_staging_options,
    s3_options,
)
from gcs_cli.parsing.shared_options import (
    auth_policy_create_and_update_params,
    auth_policy_id_arg,
    collection_create_and_update_params,
    collection_id_arg,
    domain_update_options,
    endpoint_update_params,
    include_private_policies_opt,
    node_id_arg,
    page_size_opt,
    role_create_params,
    role_id_arg,
    sharing_policy_id_arg,
    storage_gateway_create_and_update_params,
    storage_gateway_id_arg,
    user_credential_id_arg,
)
from gcs_cli.parsing.types import (
    EXPLICIT_NULL,
    EndpointIDorLocalhost,
    IntOrNull,
    IntRangeOrNull,
    StringOrNull,
    UUIDorDEFAULTorNull,
    UUIDorNull,
    UUIDorUsername,
)

__all__ = [
    "auth_policy_id_arg",
    "auth_policy_create_and_update_params",
    "globus_command",
    "globus_group",
    "domain_update_options",
    "endpoint_update_params",
    "collection_create_and_update_params",
    "storage_gateway_create_and_update_params",
    "validate_storage_gateway_policy_options",
    "include_private_policies_opt",
    "node_id_arg",
    "storage_gateway_id_arg",
    "collection_id_arg",
    "role_id_arg",
    "sharing_policy_id_arg",
    "user_credential_id_arg",
    "page_size_opt",
    "role_create_params",
    "EXPLICIT_NULL",
    "IntRangeOrNull",
    "StringOrNull",
    "UUIDorDEFAULTorNull",
    "UUIDorNull",
    "UUIDorUsername",
    "IntOrNull",
    "EndpointIDorLocalhost",
    # connector option sets
    "activescale_options",
    "azure_blob_options",
    "blackpearl_options",
    "box_options",
    "ceph_options",
    "dropbox_options",
    "google_cloud_storage_options",
    "google_drive_options",
    "onedrive_options",
    "posix_options",
    "posix_staging_options",
    "s3_options",
    "irods_options",
    "hpss_options",
]
