from __future__ import annotations

from globus.manager.constants import ConfigurationObjectTag

from .s3_user_credential import S3UserCredential


class ActiveScaleUserCredential(S3UserCredential):
    CONNECTOR_ID = "7251f6c8-93c9-11eb-95ba-12704e0d6a4d"
    POLICY_DATA_TYPE = "s3_user_credential_policies#1.0.0"
    CONNECTOR_POLICIES = {
        "s3_user_credential_policies#1.0.0": [
            "s3_key_id",
            "s3_secret_key",
        ],
    }

    __mapper_args__ = {
        "polymorphic_identity": (
            ConfigurationObjectTag.USER_CREDENTIAL.name + CONNECTOR_ID
        )
    }

    @property
    def connector_id(self):
        return self.CONNECTOR_ID

    @connector_id.setter
    def connector_id(self, value):
        pass

    def __repr__(self):
        return "<ActiveScaleUserCredential {}>".format(self.id)
