from __future__ import annotations

from globus.manager.constants import ConfigurationObjectTag

from .posix_collection import PosixCollection


class PosixStagingCollection(PosixCollection):
    CONNECTOR_ID = "052be037-7dda-4d20-b163-3077314dc3e6"
    POLICY_DATA_TYPE = "posix_staging_collection_policies#1.0.0"
    CONNECTOR_POLICIES = {
        "posix_staging_collection_policies#1.0.0": [
            "sharing_groups_allow",
            "sharing_groups_deny",
        ],
    }
    POLICY_DATA_TYPES = list(CONNECTOR_POLICIES.keys())

    __mapper_args__ = {
        "polymorphic_identity": (ConfigurationObjectTag.COLLECTION.name + CONNECTOR_ID)
    }

    @property
    def connector_id(self) -> str:
        return self.CONNECTOR_ID

    @connector_id.setter
    def connector_id(self, value):
        pass

    def __repr__(self):
        return "<PosixStagingCollection {}>".format(self.id)
