import marshmallow as ma

from .data_type import Schema, data_type, data_type_schema


@data_type("invalid_credential#1.0.0")
class InvalidCredential_1_0_0(Schema):
    """
    Error details when the caller's identity maps to an account with a user
    credential that is in an invalid state.
    """

    user_credential_id = ma.fields.UUID(
        required=True,
        description="""
        The ID of the user credential which needs to be fixed before this
        resource can be accessed.
        """,
    )


InvalidCredential = data_type_schema.InvalidCredential
