import marshmallow as ma


class CleanupNoneMixin:
    """
    Mixin class that adds support for deleting items which have the value None
    from the serialized output.
    """

    @ma.post_dump
    def delete_empty(self, obj, **kwargs):
        res = {}
        for x in obj:
            if obj[x] is not None:
                res[x] = obj[x]
        return res
