import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    name="show",
    short_help="Get the status of this OIDC configuration",
    disable_options=["format", "explicit_host"],
    help="""\
The OIDC show command shows the current OIDC server configuration for this endpoint.

== EXAMPLE

globus-connect-server oidc show

""",
)
@click.pass_context
def oidc_show(ctx):
    from .oidc_show import oidc_show as ois

    ois(ctx)
