import os
import types

from . import systemd_service_manager, unsupported_service_manager

ServiceManager: types.ModuleType
if os.path.exists("/bin/systemctl"):
    ServiceManager = systemd_service_manager
else:
    ServiceManager = unsupported_service_manager

__all__ = [
    "ServiceManager",
]
