"""move collection.public and collection.identity_id into columns

Revision ID: d034e268bcc3
Revises: b8b5ffdbb404
Create Date: 2024-02-01 11:41:26.093479

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd034e268bcc3'
down_revision = 'b8b5ffdbb404'
branch_labels = None
depends_on = None


def upgrade():
    op.execute('PRAGMA foreign_keys = OFF')
    op.execute("PRAGMA legacy_alter_table=ON")
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('collection', schema=None) as batch_op:
        batch_op.add_column(sa.Column('public', sa.BOOLEAN(), nullable=True))
        batch_op.add_column(sa.Column('identity_id', sa.TEXT(), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    op.execute('PRAGMA foreign_keys = OFF')
    op.execute("PRAGMA legacy_alter_table=ON")
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('collection', schema=None) as batch_op:
        batch_op.drop_column('identity_id')
        batch_op.drop_column('public')

    # ### end Alembic commands ###
